{ system ? builtins.currentSystem }:

let
  pkgs = import <nixpkgs> { inherit system; };

  callPackage = pkgs.lib.callPackageWith (pkgs // self);

  x = callPackage ./pkgs/x { };

  self = {
    MoonPlus = callPackage ./pkgs/moonplus { };
    appsluggr = x.appsluggr;
    johaus = x.johaus;
    license = x.license;
    mainsanow = x.mainsanow;
    prefix = x.prefix;
  };
in self
